summaryrefslogtreecommitdiff
path: root/init.d
diff options
context:
space:
mode:
authorRoy Marples <roy@marples.name>2007-04-20 13:22:27 +0000
committerRoy Marples <roy@marples.name>2007-04-20 13:22:27 +0000
commit7590e7b258d34124f070b4cd01fa6cc7caa29920 (patch)
tree6a14e105ad18742ddad0d70f0809df80f876ce5e /init.d
parentc52f2164502544c17811e47fc3236fe87aa7fc5b (diff)
downloadopenrc-7590e7b258d34124f070b4cd01fa6cc7caa29920.tar.gz
openrc-7590e7b258d34124f070b4cd01fa6cc7caa29920.tar.bz2
openrc-7590e7b258d34124f070b4cd01fa6cc7caa29920.tar.xz
exec rc-abort
Diffstat (limited to 'init.d')
-rwxr-xr-xinit.d/checkfs3
-rwxr-xr-xinit.d/checkroot3
2 files changed, 2 insertions, 4 deletions
diff --git a/init.d/checkfs b/init.d/checkfs
index da3dc39..7531ab7 100755
--- a/init.d/checkfs
+++ b/init.d/checkfs
@@ -51,8 +51,7 @@ do_checkfs() {
if [ ${retval} -gt 3 ] ; then
eend 2 "Fsck could not correct all errors, manual repair needed"
- rc-abort
- exit 1
+ exec rc-abort || exit 1
fi
fi
diff --git a/init.d/checkroot b/init.d/checkroot
index 03741ae..2b3c0de 100755
--- a/init.d/checkroot
+++ b/init.d/checkroot
@@ -104,8 +104,7 @@ start() {
retval=$?
else
eend 2 "Filesystem couldn't be fixed :("
- rc-abort
- exit 1
+ exec rc-abort || exit 1
fi
if [ ${retval} != "0" ] ; then
einfo "Unmounting filesystems"